#!/bin/bash

cd "$(dirname "$0")"
echo "start backup synapse {{ synapse_name }}"
COMPOSE_INTERACTIVE_NO_CLI=1
if [ -z `/usr/local/bin/docker compose ps -q db` ] || [ -z `/usr/bin/docker ps -q --no-trunc | grep $(/usr/local/bin/docker compose ps -q db)` ]; then
	echo "Database is not running. Backup synpase {{ synapse_name }} aborted"
else
    /usr/local/bin/docker compose exec -T db pg_dump -U {{ synapse_postgre_user }} {{ synapse_postgre_db_name }} > {{ synapse_postgre_backupfile }}
    echo "backup synapse {{ synapse_name }} done"
fi
